.overlay {
    align-items: center;
    background: rgba(38, 36, 36, 0.3);
    display: none;
    justify-content: center;
    height: 100%;
    position: fixed;
    width: 100%;
    z-index: 1000;

    &:global {
        &.spinning {
            display: flex;
        }
    }
}
